%define sqname	squashfs
%define sqver	3.3
%undefine sqrelease
%define rel 4
%define release	%mkrel %{?sqrelease:1.%{sqrelease}.}%{rel}
%define distname %{sqname}%{sqver}%{?sqrelease:-%{sqrelease}}
%define	Summary	Utilities for the creation of compressed squashfs images

Name:		%{sqname}-tools
Version:	%{sqver}
Release:	%{release}
Summary:	%{Summary}
License:	GPL
Group:		File tools
URL:		http://squashfs.sourceforge.net/
Source0:	%{distname}.tgz
Source1:	sqlzma.h
Source2:	sqmagic.h
Patch0:		sqlzma2u-3.3.patch
Patch1:		squashfs3.3-nolzma.patch
# from CVS, fix hang when dealing with sparse files
Patch2:		squashfs3.3-sparse.patch
BuildRequires:	lzma-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
squashfs-tools are utilities for the creation of compressed squashfs images.

%prep
%setup -q -n %{distname}
%patch0 -p1 -b .lzma
%patch1 -p1 -b .nolzma
%patch2 -p0 -b .sparse
cp %{SOURCE1} %{SOURCE2} %{name}

%build
%make -C %{name} Sqlzma=. LzmaAlone=%{_libdir} LzmaC=%{_libdir}

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -m 755 %{name}/mksquashfs %{name}/unsquashfs %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS CHANGES README
%{_bindir}/mksquashfs
%{_bindir}/unsquashfs


%changelog
* Thu Dec 13 2007 Olivier Blin <oblin@mandriva.com> 3.3-4mdv2008.1
+ Revision: 119554
- fix hang when dealing with sparse files (patch from CVS)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description

* Thu Dec 13 2007 Olivier Blin <oblin@mandriva.com> 3.3-3mdv2008.1
+ Revision: 119429
- package unsquashfs

* Wed Dec 12 2007 Olivier Blin <oblin@mandriva.com> 3.3-2mdv2008.1
+ Revision: 119020
- rebuild with latest lzma static library to fix zlib support
- update sqlzma2u-3.3.patch from sqlzma3.3-fixed.tar.bz2

* Wed Nov 14 2007 Olivier Blin <oblin@mandriva.com> 3.3-1mdv2008.1
+ Revision: 108685
- 3.3
- update lzma patch and headers
- rediff nolzma patch


* Wed Mar 07 2007 Olivier Blin <oblin@mandriva.com> 3.2-1.r2.2mdv2007.0
+ Revision: 134240
- do not use lzma by default and document a new -lzma option
- add lzma support (from squashfs-lzma.org)

* Tue Feb 13 2007 Olivier Blin <oblin@mandriva.com> 3.2-1.r2.1mdv2007.1
+ Revision: 120480
- 3.2-r2
- Import squashfs-tools

* Sat Sep 02 2006 Arnaud Patard <apatard@mandriva.com> 3.1.1.r2.1mdv2007.0
- 3.1-r2

* Thu Aug 31 2006 Arnaud Patard <apatard@mandriva.com> 3.1-1mdv2007.0
- 3.1

* Mon Jan 23 2006 Arnaud Patard <apatard@mandriva.com> 2.2-1.r2.1mdk
- 2.2-r2

* Tue Mar 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1-1.r2.1mdk
- 2.1-r2
- cosmetics

* Thu Jul 15 2004 Jaco Greeff <jaco@mandrake.org> 2.0-1mdk
- Version 2.0

